Bug 228696 - devel/py-osc-lib: update to 1.9.0
Summary: devel/py-osc-lib: update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228681 228688 228689 228693
Blocks: 228701 228845
  Show dependency treegraph
 
Reported: 2018-06-02 16:23 UTC by Kai Knoblich
Modified: 2018-07-10 09:13 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-osc-lib-1.9.0.patch (4.18 KB, patch)
2018-06-02 16:23 UTC, Kai Knoblich
no flags Details | Diff
py-osc-lib-1.9.0-rev2.patch (4.13 KB, patch)
2018-06-09 17:59 UTC, Kai Knoblich
no flags Details | Diff
py-osc-lib-1.9.0-v3.patch (4.16 KB, patch)
2018-06-22 14:15 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 16:23:54 UTC
Created attachment 193936 [details]
py-osc-lib-1.9.0.patch

Hello,

attached is the patch from svn that updates devel/py-osc-lib to 1.9.0 .

Changes by upstream:
- https://docs.openstack.org/releasenotes/osc-lib/queens.html

Changes to the port:
- added LICENSE_FILE
- added DOCS option with appropriate dependencies
- sorted variables a bit
- updated WWW

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer version at PyPI available but v1.9.0 is the latest supported release for the Queens Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-osc-lib)
- Before this update can be committed following port must be added/updated first:
-> add textproc/py-openstackdocstheme (see also PR #228681: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228681 )
-> update devel/py-cliff (see also PR #228688: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228688)
-> update devel/py-os-client-config (see also PR #228693: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228693)
-> update devel/py-openstacksdk (see also PR #228689: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228689)
Comment 1 Kai Knoblich freebsd_committer 2018-06-09 17:59:04 UTC
Created attachment 194105 [details]
py-osc-lib-1.9.0-rev2.patch

Same patch with keyword "concurrent" removed from USE_PYTHON.
Comment 2 Kai Knoblich freebsd_committer 2018-06-22 14:15:03 UTC
Created attachment 194489 [details]
py-osc-lib-1.9.0-v3.patch

Rebased patch after r472884
Comment 3 commit-hook freebsd_committer 2018-07-10 09:13:25 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 09:12:24 UTC 2018
New revision: 474340
URL: https://svnweb.freebsd.org/changeset/ports/474340

Log:
  - Update to 1.9.0
  - Added LICENSE_FILE
  - Added DOCS option with appropriate dependencies
  - Sorted variables a bit
  - updated WWW

  PR:		228696
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-osc-lib/Makefile
  head/devel/py-osc-lib/distinfo
  head/devel/py-osc-lib/pkg-descr